NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Facet::SewFacetBodyBuilder Class Reference

Represents a NXOpen::Facet::SewFacetBodyBuilder It sews two touching NX facet bodies. More...

Inheritance diagram for NXOpen::Facet::SewFacetBodyBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Input { InputKeep, InputDelete, InputHide }
 Represents the option for keeping, deleting or hiding input two facet bodies after builder committing. More...
 
enum  VertexIndex { VertexIndexFirst, VertexIndexSecond }
 Index of the vertex. More...
 

Public Member Functions

NXOpen::Facet::SelectFacetedBodyDeformBody ()
 Returns the deform body to be sewed
Created in NX9.0.0. More...
 
NXOpen::ExpressionDeformDistance ()
 Returns the distance to control the deform area on the deform body
Created in NX9.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance used in the merge touching facet body feature
Created in NX9.0.2. More...
 
void FlipRange ()
 Flip the range between the first and second vertex
Created in NX9.0.0. More...
 
NXOpen::Facet::SewFacetBodyBuilder::Input InputStatus ()
 Returns the option to specify how to deal with the input two facet bodies: keep, delete or hide
Created in NX9.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance used in the merge touching facet body feature
Created in NX9.0.2. More...
 
void SetInputStatus (NXOpen::Facet::SewFacetBodyBuilder::Input inputStatus)
 Sets the option to specify how to deal with the input two facet bodies: keep, delete or hide
Created in NX9.0.0. More...
 
void SetVertex1 (NXOpen::Point *vertexPoint1)
 Sets the first vertex used to define the range
Created in NX9.0.0. More...
 
void SetVertex2 (NXOpen::Point *vertexPoint2)
 Sets the second vertex used to define the range
Created in NX9.0.0. More...
 
NXOpen::Facet::SelectFacetedBodyTargetBody ()
 Returns the target body to be sewed
Created in NX9.0.0. More...
 
NXOpen::PointVertex1 ()
 Returns the first vertex used to define the range
Created in NX9.0.0. More...
 
NXOpen::PointVertex2 ()
 Returns the second vertex used to define the range
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Facet::SewFacetBodyBuilder It sews two touching NX facet bodies.

User need to specify the range on one of input body. The range on the other body is calculated automatically by choosing the closest vertex. It retruns a new mergered NX facet body. The two input bodies can be kept, deleted or hidden.
To create a new instance of this class, use NXOpen::Facet::FacetedBodyCollection::CreateSewFacetBodyBuilder
Default values.

Property Value

DeformDistance.Value

0.5 (millimeters part), 0.05 (inches part)

InputStatus

Keep


Created in NX9.0.0.

Member Enumeration Documentation

Represents the option for keeping, deleting or hiding input two facet bodies after builder committing.

Enumerator
InputKeep 

Keep the input facet body after builder committing.

InputDelete 

Delete the input facet body after builder committing.

InputHide 

Hide the input facet body after builder committing.

Index of the vertex.

Enumerator
VertexIndexFirst 

Index of the first vertex.

VertexIndexSecond 

Index of the second vertex.

Member Function Documentation

NXOpen::Facet::SelectFacetedBody* NXOpen::Facet::SewFacetBodyBuilder::DeformBody ( )

Returns the deform body to be sewed
Created in NX9.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Facet::SewFacetBodyBuilder::DeformDistance ( )

Returns the distance to control the deform area on the deform body
Created in NX9.0.0.



License requirements : None

double NXOpen::Facet::SewFacetBodyBuilder::DistanceTolerance ( )

Returns the distance tolerance used in the merge touching facet body feature
Created in NX9.0.2.



License requirements : None

void NXOpen::Facet::SewFacetBodyBuilder::FlipRange ( )

Flip the range between the first and second vertex
Created in NX9.0.0.



License requirements : None

NXOpen::Facet::SewFacetBodyBuilder::Input NXOpen::Facet::SewFacetBodyBuilder::InputStatus ( )

Returns the option to specify how to deal with the input two facet bodies: keep, delete or hide
Created in NX9.0.0.



License requirements : None

void NXOpen::Facet::SewFacetBodyBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance used in the merge touching facet body feature
Created in NX9.0.2.



License requirements : None

Parameters
distanceTolerancedistancetolerance
void NXOpen::Facet::SewFacetBodyBuilder::SetInputStatus ( NXOpen::Facet::SewFacetBodyBuilder::Input  inputStatus)

Sets the option to specify how to deal with the input two facet bodies: keep, delete or hide
Created in NX9.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Parameters
inputStatusinputstatus
void NXOpen::Facet::SewFacetBodyBuilder::SetVertex1 ( NXOpen::Point vertexPoint1)

Sets the first vertex used to define the range
Created in NX9.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Parameters
vertexPoint1vertexpoint1
void NXOpen::Facet::SewFacetBodyBuilder::SetVertex2 ( NXOpen::Point vertexPoint2)

Sets the second vertex used to define the range
Created in NX9.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM") OR die_engineering ("DIE ENGINEERING")

Parameters
vertexPoint2vertexpoint2
NXOpen::Facet::SelectFacetedBody* NXOpen::Facet::SewFacetBodyBuilder::TargetBody ( )

Returns the target body to be sewed
Created in NX9.0.0.



License requirements : None

NXOpen::Point* NXOpen::Facet::SewFacetBodyBuilder::Vertex1 ( )

Returns the first vertex used to define the range
Created in NX9.0.0.



License requirements : None

NXOpen::Point* NXOpen::Facet::SewFacetBodyBuilder::Vertex2 ( )

Returns the second vertex used to define the range
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.